package main

import (
	"bufio"
	"fmt"
	"os"
)

func GetData(s string) []string {
	var result []string
	fileReader, err := os.Open(s)
	if err != nil {
		return nil
	}
	lines := bufio.NewScanner(fileReader)
	lines.Split(bufio.ScanLines)
	for lines.Scan() {
		result = append(result, lines.Text())
	}
	return result
}
func main() {
	fmt.Println("GoFast!")

}

func Part1(s []string) int {
	var store []rune
	var result []string
	resultLen := len([]rune(s[0]))
	zero, one := 0, 0
	for x := 0; x < resultLen; x++ {
		for _, report := range s {
			chars := []rune(report)
			store = append(store, chars[x])
		}
		for _, data := range store {
			switch data {
			case '0':
				zero++
			case '1':
				one++
			}
		}
		fmt.Println(zero, one)
		if zero < one {
			result = append(result, "1")
		} else {
			result = append(result, "0")
		}
		zero, one = 0, 0
	}
	fmt.Println(result)
	return 0
}
